import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class LlamapayContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    llamapayStream({ address, network }: ContractOpts): import("./ethers").LlamapayStream;
    llamapayVestingEscrow({ address, network }: ContractOpts): import("./ethers").LlamapayVestingEscrow;
}
export type { LlamapayStream } from './ethers';
export type { LlamapayVestingEscrow } from './ethers';
